// Copyright 1999-2005 California Institute of Technology. ALL RIGHTS
// RESERVED. U.S. Government Sponsorship acknowledged.

import java.net.URI;

class Track {
	public Track(String name, URI id, Artist artist, Album album) {
		this.name = name;
		this.id = id;
		this.artist = artist;
		this.album = album;
		artist.getTracks().add(this);
		album.getTracks().add(this);
	}
	public String getName() { return name; }
	public URI getID() { return id; }
	public Artist getArtist() { return artist; }
	public Album getAlbum() { return album; }
	public int hashCode() {
		return name.hashCode() ^ id.hashCode();
	}
	public boolean equals(Object obj) {
		if (obj == this) return true;
		if (!(obj instanceof Track)) return false;
		Track rhs = (Track) obj;
		return id.equals(rhs.id);
	}
	private String name;
	private URI id;
	private Artist artist;
	private Album album;
}
